org.apache.xml.utils.res

## Class XResourceBundleBase

- java.lang.Object
- - java.util.ResourceBundle
  - - java.util.ListResourceBundle
    - - org.apache.xml.utils.res.XResourceBundleBase

-     public abstract class XResourceBundleBase
      extends java.util.ListResourceBundle

  This is an interface for error messages. This class is misnamed, and should be called XalanResourceBundle, or some such.
  Usage:
    **For internal use only**

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XResourceBundleBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getMessageKey(int errorCode)` Get the error string associated with the error code
    `abstract java.lang.String` | `getWarningKey(int errorCode)` Get the warning string associated with the error code

    - ### Methods inherited from class java.util.ListResourceBundle

      `getKeys, handleGetObject`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XResourceBundleBase

          public XResourceBundleBase()

  - ### Method Detail

    - #### getMessageKey

          public abstract java.lang.String getMessageKey(int errorCode)

      Get the error string associated with the error code
      Parameters:
        `errorCode` - Error code
      Returns:
        error string associated with the given error code

    - #### getWarningKey

          public abstract java.lang.String getWarningKey(int errorCode)

      Get the warning string associated with the error code
      Parameters:
        `errorCode` - Error code
      Returns:
        warning string associated with the given error code

Copyright © 2023 Apache XML Project. All Rights Reserved.